struct foo {
	int a;
	double b;
	list<int> c;
};

struct foofoo{
	int a;
	double b;
	struct foo c;
};
int main(){
	struct foo x;
	int c = 10;
	list<int> y;
	x.b=1.0;
	x.c[10] = 10;
	y[c] = 100;
	return c;
}
